<script type="text/javascript">
    function fetchTabContent(request_url) {
        $.ajax({
            url: request_url,
            success: function(data) {
                $('#tabContent').html(data);
            }
        });
    }

    <?php if($tpl_merkmalkombinationenJSON) { ?>
        var merkmalkombinationen = <?php echo $tpl_merkmalkombinationenJSON ?>;
    <?php } ?>
    <?php if($tpl_merkmalkombiVariantenJSON) { ?>
        var merkmalkombiVarianten = <?php echo $tpl_merkmalkombiVariantenJSON ?>;
    <?php } ?>

    function MerkmalKombiSelectChange(variante) {
        var aktiveMerkmale = [];
        for(var i=0;i<merkmalkombiVarianten.length;i++) {
            aktiveMerkmale[i] = $('#merkmalkombiVariante'+i).val();
        }
        var moeglicheMerkmalkombis = [];
        var merkmalID;
        for(var merkmalkombiID in merkmalkombinationen) {
            if(merkmalkombinationen[merkmalkombiID].varianten[variante] == aktiveMerkmale[variante]) {
                moeglicheMerkmalkombis.push(merkmalkombiID);
            }
        }

        var neueMerkmalkombi = moeglicheMerkmalkombis.slice();
        for(var varianteIndex = 0;varianteIndex<merkmalkombiVarianten.length;varianteIndex++) {
            $('#merkmalkombiVariante' + varianteIndex + ' option').remove();
            var varianteSelect = $('#merkmalkombiVariante'+varianteIndex);
            if(varianteSelect) {
                if(varianteIndex == variante) {
                    $.each(merkmalkombiVarianten[varianteIndex], function(merkmalID, merkmalName) {
                        varianteSelect.append($('<option></option>').val(merkmalID).html(merkmalName));
                    });
                } else {
                    merkmale = {};
                    for(i=0;i<moeglicheMerkmalkombis.length;i++) {
                        merkmalID = merkmalkombinationen[moeglicheMerkmalkombis[i]].varianten[varianteIndex];
                        merkmale[merkmalID] = true;
                    }
                    $.each(merkmalkombiVarianten[varianteIndex], function(merkmalID, merkmalName) {
                        if(merkmale[merkmalID])
                            varianteSelect.append($('<option></option>').val(merkmalID).html(merkmalName));
                    });
                    for(i=neueMerkmalkombi.length-1;i>=0;i--) {
                        if(neueMerkmalkombi.length > 1 && merkmalkombinationen[neueMerkmalkombi[i]].varianten[varianteIndex] != aktiveMerkmale[varianteIndex]) {
                            neueMerkmalkombi.splice(i, 1);
                        }
                    }
                }
            }
        }

        for(i=0;i<merkmalkombiVarianten.length;i++) {
            $('#merkmalkombiVariante'+i+' option[value='+merkmalkombinationen[neueMerkmalkombi[0]].varianten[i]+']').attr('selected', 'selected');
        }

        document.form_artikel.artikelid.value = neueMerkmalkombi[0];
        $('#artikelDetailBild img').remove();
        $('#artikelDetailBild a').attr('href', '<?php echo IMAGEPFAD?>dbimages/' + merkmalkombinationen[neueMerkmalkombi[0]].imagebig);
        $('#artikelDetailBild a').html(merkmalkombinationen[neueMerkmalkombi[0]].imagebig_imagestring_format);
        $('#artikelNummer').text(merkmalkombinationen[neueMerkmalkombi[0]].artikelnummer);
        $('#artikelPreis').text(merkmalkombinationen[neueMerkmalkombi[0]].preis_format);
        $('#artikelLieferstatus a').html(merkmalkombinationen[neueMerkmalkombi[0]].lieferstatus_imagestring);
        $('#artikelGebindepreis').text(merkmalkombinationen[neueMerkmalkombi[0]].gebindepreis_string);
        $('#artikelGewicht').text(merkmalkombinationen[neueMerkmalkombi[0]].gewicht);
        $('#artikelLager').text(merkmalkombinationen[neueMerkmalkombi[0]].lager);
        $('#artikelPreisstaffel table').remove();
        var preisstaffel = merkmalkombinationen[neueMerkmalkombi[0]].preisstaffel;
        if(preisstaffel.length > 0) {
            $('#artikelPreisstaffel').html('<table class="standard"><thead><tr><th><?php echo $l_preisstaffeln?></th></tr></thead><tbody></tbody></table>');
            for(i=0;i<preisstaffel.length;i++) {
                $('#artikelPreisstaffel table tbody').append('<tr><td><?php echo $l_ab;?> ' + preisstaffel[i]['menge'] + ' <?php echo $l_stueck?> ' + preisstaffel[i]['preis'] + '</td></tr>');
            }
            $('#artikelPreisstaffel table tbody tr:even td').addClass('streifenmuster');
        }
    }
</script>
<h2><?php echo $tpl_kategoriepfad?></h2>


<section class="artikelDetailBox">
    <h1><?php echo $tpl_artikelname?></h1>
    <div class="artikelDetailBildBox">
		<span id="artikelDetailBild"><?php echo $tpl_imagesmall_string?></span>

        <!-- **************************** Mehr Bilder ***********************-->
        <?php if(isset($tplBilderArray) && count($tplBilderArray) > 0):?>
            <span class="mehrBilderBox"><?php echo $tplBilderArray?></span>
        <?php endif?>

        <?php if($BewertungenArray):?>
        <strong><?php echo $str_kundenmeinungen?>:</strong>
        <span class="bewertungSterne"><?php echo $BewertungenArray["global"]["sterne"]?></span>
        <?php endif?>
	</div>

	<div class="artikelDetailInfos">
        <strong><?php echo $l_preis?>: <span id="artikelPreis"><?php echo $tpl_preis_format?></span></strong>
        <?php if(isset($tpl_waehrunganzeige)) { ?><strong><?php echo $tpl_waehrunganzeige?></strong><?php } ?>
        <?php if(isset($tpl_preis_alt_format)) { ?><small><?php echo $tpl_preis_alt_format?></small><?php } ?>
        <?php if(isset($tpl_gebindepreis_string)) { ?>
            <small id="artikelGebindepreis"><?php echo $tpl_gebindepreis_string ?></small>
        <?php } ?>
        <small><?php echo $tpl_preisinfo?> <a href="<?php echo URLPFAD?>themes/topnavi/index.php?id=<?php echo $rowAll->versandseite?>&amp;formaction=artikelseite"><?php echo $lang_zzgl?> <?php echo $n_versand?></a></small>


        <p><?php echo $a_artnr?>.: <span id="artikelNummer"><?php echo $tpl_artikelnummer?></span></p>
        <?php if(isset($lagerAnzeige)):?> <p><?php echo $lagerAnzeige;?></p><?php endif?>
        <?php if(isset($gewichtsAnzeige)):?> <p><?php  echo $gewichtsAnzeige;?></p><?php endif?>
        <?php if(isset($statusAnzeige)):?><p id="artikelLieferstatus"><?php echo $statusAnzeige;?></p><?php endif?>
        <?php if(isset($voeAnzeige)):?><p><?php echo $voeAnzeige;?></p><?php endif?>


            <form name="form_artikel" method="post" action="<?php echo URLPFAD ?>themes/warenkorb/index.php">
            <input type="hidden" name="formaction" value="speichern" />
            <input type="hidden" name="artikelid" value="<?php echo $tpl_artikelid?>" />
            <input type="hidden" name="source" value="<?php echo $tpl_source?>" />
            <input type="hidden" name="refertype" value="<?php echo $tpl_wk_refertype?>" />
            <input type="hidden" name="referid" value="<?php echo $tpl_wk_referid?>" />

            <span class="artikelMenge"><?php echo $lang_menge?>: <input type="text" name="menge" size="3" value="1" maxlength="4" /></span>


            <?php echo $tpl_formend_merkmalkombination?>

            <?php if(isset($tpl_variante["variante1_string"])): echo $tpl_variante["variante1_string"]; endif?>
            <?php if(isset($tpl_variante["variante2_string"])): echo $tpl_variante["variante2_string"]; endif?>
            <?php if(isset($tpl_variante["variante3_string"])): echo $tpl_variante["variante3_string"]; endif?>
            <?php if(isset($tpl_variante["variante4_string"])): echo $tpl_variante["variante4_string"]; endif?>
            <?php if($tpl_merkmalkombiVarianten) {
                for($i = 0;$i<count($tpl_merkmalkombiVarianten); $i++) { ?>
                    <select id="merkmalkombiVariante<?php echo $i?>" onchange="MerkmalKombiSelectChange(<?php echo $i?>)">
                    <?php foreach($tpl_merkmalkombiVarianten[$i] as $varianteID => $varianteName) { ?>
                        <option value="<?php echo $varianteID?>" <?php echo ($tpl_merkmalkombiVariantenSelected[$i] == $varianteID?'selected="selected"':'')?>><?php echo $varianteName?></option>
                    <?php }?>
                    </select>
                <?php }
            }?>
            <?php if(isset($tpl_formend_artikel)): echo $tpl_formend_artikel; endif?>

            <div class="wkPopup">
                <?php if($tpl_bestellbutton == "verkaufstop") { ?>
                    <div class="submitButton submitButtonAlternative"><?php echo $lang_nichtLieferbar?></div>
                <?php } else { ?>
                    <div class="submitButton"><a href="javascript:AddWarenkorb(document.form_artikel.artikelid.value, '<?php echo $tpl_artikelname?>', <?php echo $tpl_wk_refertype?>, <?php echo ($tpl_wk_referid?$tpl_wk_referid:'0')?>, document.form_artikel.menge.value, (document.form_artikel.variante1 != undefined?document.form_artikel.variante1.value:''), (document.form_artikel.variante2 != undefined?document.form_artikel.variante2.value:''), (document.form_artikel.variante3 != undefined?document.form_artikel.variante3.value:''), (document.form_artikel.variante4 != undefined?document.form_artikel.variante4.value:''), 'addWarenkorbPopup');"><strong><?php echo $tpl_bestellbutton?></strong></a></div>
                    <div class="addWarenkorbPopup addWarenkorbPopupDetail" id="addWarenkorbPopup"><!-- --></div>
                <?php } ?>
                <div class="submitButton submitButtonAlternative"><a href="<?php echo URLPFAD?>themes/wunschzettel/index.php?artikelid=<?php echo $tpl_artikelid?>&amp;formaction=speichern&amp;source=3"><?php echo $s_wunschzettel?></a></div>
            </div>

            <div style="clear: both"><!-- --></div>
    </div>

</section>



<section class="artikelDetailOther">

    <div id="artikelPreisstaffel"><?php if(isset($tpl_preisstaffel)) { ?><?php echo $tpl_preisstaffel?><?php } ?></div>

    <?php if(isset($tpl_gruppe_teilartikel) && count($tpl_gruppe_teilartikel) > 0) { ?>
    <h3><?php echo $lang_artikelpaket?></h3>
    <table class="standard">
        <?php foreach($tpl_gruppe_teilartikel as $tpl_teilartikel) { ?>
            <tr>
                <td><?php echo $tpl_teilartikel["menge"]?> x <a href="<?php echo URLPFAD?>themes/kategorie/detail.php?kategorieid=<?php echo $tpl_teilartikel["kategorieid"]?>&amp;artikelid=<?php echo $tpl_teilartikel["id"]?>"><?php echo $tpl_teilartikel["artikelname"]?><?php echo $tpl_teilartikel['varianten_string'];?></a></td>
            </tr>
        <?php } ?>
        <tr>
            <th><?php if(isset($tpl_preis_gruppe_einzelsumme)): echo $tpl_preis_gruppe_einzelsumme; endif?></th>
        </tr>
    </table>
    <?php } ?>

	
	<?php if($tpl_facebook_check):?>
		<div class="facebookcount" style="float: right;">
                <div id="fb-root"></div>
                <script type="text/javascript" src="http://connect.facebook.net/de_DE/all.js#xfbml=1"></script><script type="text/javascript">
                // <![CDATA[
                var c = document.getElementById('fb-root');
                var e = document.createElement('fb:like');
                e.setAttribute('action', 'like');
                e.setAttribute('width', '100');
                e.setAttribute('layout', 'button_count');
                e.setAttribute('send', 'false');
                e.setAttribute('href', '<?php echo GetArtikelLink($ArtikelID, $KategorieID, "", "", "", "", "", $SEOURLArtikelArray); ?>');
                e.setAttribute('show_faces', 'false');
                e.setAttribute('font', '');
                c.appendChild(e);
                // ]]>
            </script>
		</div>
	<?php endif?>

    <ul class="artikelDetailTabNavi">
        <li><a href="#" onclick="fetchTabContent('<?php echo URLPFAD?>themes/kategorie/ajax_controller.php?artikelid=<?php echo $ArtikelID?>&formaction=1'); return false;"><?php echo $lang_beschreibung?></a></li>
        <?php if($tpl_featureBewertung):?>
            <li><a href="#" onclick="fetchTabContent('<?php echo URLPFAD?>themes/kategorie/ajax_controller.php?artikelid=<?php echo $ArtikelID?>&formaction=2'); return false;"><?php echo $lang_onlineRezi?></a></li>
        <?php endif?>
    </ul>

    <div class="artikelDetailTabBox" id="tabContent">
        <?php echo $tpl_artikelbeschreibung?>
    </div>

	
	
	<?php if(isset($datenblatt)):?>
	<!-- Datenblatt Ausgabe -->
	<h3><?php echo $lang_datenblatt?></h3>
	<?php foreach($datenblatt as $gibDaten):?>
		<span class="<?php echo $gibDaten["datenblatt_style"]?>"><?php echo $gibDaten["datenblatt_symbol"]?><?php echo $gibDaten["datenblatt_name"]?></span>
	<?php endforeach?>
	<?php endif?>
	
	

	
	<!-- **************************** Artikelzubehoer ***********************-->
    <section class="artikelBlockFormat">
     <?php if(isset($tpl_abartikelarray) && count($tpl_abartikelarray) > 0) { ?>
		<h3><?php echo $lang_crosselling?></h3>
		<?php foreach($tpl_abartikelarray as $tpl_abartikel) { ?>
            <div class="verlauf">
                <?php if ($tpl_abartikel["imagesmall_imagestring"]) { ?>
                    <span><a href="<?php echo GetArtikelLink($tpl_abartikel["id"], $tpl_abartikel["kategorieid"], '', '', '', $tpl_refertype, $tpl_referid, $SEOURLArray); ?>"><?php echo $tpl_abartikel["imagesmall_imagestring"]?></a></span>
                <?php } ?>
                <h2><a href="<?php echo GetArtikelLink($tpl_abartikel["id"], $tpl_abartikel["kategorieid"], '', '', '', $tpl_refertype, $tpl_referid, $SEOURLArray); ?>"><?php echo $tpl_abartikel["artikelname"]?></a></h2>
                <strong><?php echo $tpl_abartikel["preis_format"]?></strong>
            </div>
   		<?php } ?>
	<?php } ?>
    </section>

	<div class="artikelCleaner"></div>

	<!-- *************************** Partnerprogramm ********************************* -->

	<?php if($_SESSION['kunde_partner_key'] && PARTNERPROGRAMM_AKTIV) { ?>
	
	<h3><?php echo $lang_partnerProgramm?></h3>
	<!-- Der Style wird in der detail.php generiert. -->
	<?php echo $tpl_partnerAusgabe?>
<?php }?>


</section>